Subject: bug#18249: 24.3; expected a button click, text pasted into button label instead

From: Mauro Aranda <[email-masked]>
Date: Tue, 22 Sep 2020 18:22:42 -0300

Lars Ingebrigtsen <[email-masked]> writes:

> Andrea Rossetti <[email-masked]> writes:
>
>> GNU Emacs 27.0.50 (build 1, x86_64-w64-mingw32) of 2019-06-09
>>
>>   Tentative explanation: if you tested on a Linux workstation, then it
>> could be a Windows-only problem.
>
> Ah, I guess that sounds likely.

[...]

>> Or maybe my step 6b is ambiguous or
>> hard to follow. Let me retry:
>>
>>   Maybe describing 6b more naively may help, let me try:
>>
>>   6b) press mouse-2 outside [ciao], drag mouse inside [ciao], release
mouse-2.
>>       Instead of clicking the button, it pastes text inside the button.
>
> Yup; I'm not able to reproduce this in GNU/Linux, so somebody with
> Windows should try to chase down why this happens there.

I am able to reproduce this at will in GNU/Linux, though.

Details:
x86_64-pc-linux-gnu
Ubuntu 18.04.5 LTS